Page MenuHomePhabricator

CollationFa needs some clean up
Closed, DeclinedPublic

Description

Some context: T139110: uca-fa collation shows pages starting with ا incorrectly under ء
I was informed by Wikimedians in Persian Wikis about two issues:

  • The letter "ا" comes before "آ" but it should be the other way around.
  • The letter "و" comes before "آ" but it should be at the bottom of the list, after "ن" and before "ه"

The discussion (in Persian)

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2017, 8:51 PM
Ladsgroup updated the task description. (Show Details)Aug 18 2017, 9:01 PM

Change 372568 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Move around "ا" to after "آ" and not before

https://gerrit.wikimedia.org/r/372568

My patch probably fixes the first issue, I have no idea how to fix the second one.

Change 372568 merged by jenkins-bot:
[mediawiki/core@master] Move around "ا" to after "آ" and not before

https://gerrit.wikimedia.org/r/372568

Mentioned in SAL (#wikimedia-operations) [2017-09-15T07:49:44Z] <Amir1> running maintenance/updateCollation.php --force on Persian (fa) wikis (T173601)

It still needs fixing.

Amire80 moved this task from Untriaged to Collation on the I18n board.Mar 18 2018, 1:43 PM
PleaseStand closed this task as Declined.Jul 10 2018, 3:30 PM
PleaseStand added a subscriber: PleaseStand.

CollationFa was removed in 5a21de8abb7f03e72a07d8578babc1835dff4a64, because it is no longer necessary.